"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PdfView = PdfView;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _Util = require("./Util");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const PdfViewNative = (0, _reactNative.requireNativeComponent)('RNPdfView');

/**
 * Single page of a pdf.
 */
function PdfView(props) {
  const {
    onError,
    onLayout,
    onLoadComplete
  } = props;
  const onPdfError = (0, _react.useCallback)(event => {
    if (onError != null) {
      onError(event.nativeEvent);
    }
  }, [onError]);
  const onPdfLoadComplete = (0, _react.useCallback)(event => {
    if (onLoadComplete != null) {
      onLoadComplete(event.nativeEvent);
    }
  }, [onLoadComplete]);
  return /*#__PURE__*/_react.default.createElement(PdfViewNative, {
    annotation: (0, _Util.asPath)(props.annotation),
    annotationStr: props.annotationStr,
    onLayout: onLayout,
    onPdfError: onPdfError,
    onPdfLoadComplete: onPdfLoadComplete,
    page: props.page,
    resizeMode: props.resizeMode,
    source: (0, _Util.asPath)(props.source),
    style: props.style
  });
}
//# sourceMappingURL=PdfView.js.map