import React from 'react';
import { ScrollViewProps } from 'react-native';
import { PdfViewProps } from './PdfView';
export type PdfComponent = (props: PdfViewProps) => JSX.Element;
export type ZoomPdfViewProps = PdfViewProps & {
    /**
     * Callback when view starts to zoom.
     */
    onZoomIn?: () => void;
    /**
     * Callback when view returns to non-zoomed state.
     */
    onZoomReset?: () => void;
    /**
     * Maximum allowed zoom. Default 2.
     */
    maximumZoom?: number;
    /**
     * A RefreshControl component, used to provide pull-to-refresh
     * functionality for the internal ScrollView.
     */
    refreshControl?: ScrollViewProps['refreshControl'];
    /**
     * Alternate component to render pdf page. Default is PdfView.
     */
    renderComponent?: PdfComponent;
};
/**
 * PdfView with pinch zoom support.
 */
export declare function ZoomPdfView(props: ZoomPdfViewProps): React.JSX.Element;
